import { get, put, post, deletes } from '@/http/index'

// 查询故障统计列表
export const getFaultStatistics = async (data) => {
  return await get('/als/faultStatistics/list', data)
}

// 查询故障统计列表
export const getExclusionList = async (data) => {
  return await get('/als/faultStatistics/exclusionList', data)
}

// 查询故障统计列表不分页
export const getExclusionListAll = async (data) => {
  return await get('/als/faultStatistics/exclusionListAll', data)
}

// 查询故障统计列表
export const getFaultStatisticsEcharts = async (data) => {
  return await get('/als/faultStatistics/statistics', data)
}

// 新增故障统计
export const addFaultStatistics = async (data) => {
  return await post('/als/faultStatistics', data)
}

// 修改故障统计
export const updateFaultStatistics = async (data) => {
  return await put('/als/faultStatistics', data)
}

// 删除故障统计
export const removeFaultStatistics = async (id) => {
  return await deletes('/als/faultStatistics/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}

//下载模板
export const downLoadFaultStatistics = async (data) => {
  window.open(process.env.VUE_APP_BASE_API + '/als/faultStatistics/importTemplate')
}
//导出
export const exportFaultStatisticsExcel = async (data) => {
  window.open(process.env.VUE_APP_BASE_API + '/als/faultStatistics/export', data)
}

// 查询故障统计列表
export const getFaultStatisticsListAll = async (data) => {
  return await post('/als/faultStatistics/listAll', data)
}

// 同步
export const getSync = async (data) => {
  return await get('/als/faultStatistics/extra/statistics', data)
}
